Bug 95562 - [umass] Write Stress in USB Mass drive causes "vinvalbuf: dirty bufs"
Summary: [umass] Write Stress in USB Mass drive causes "vinvalbuf: dirty bufs"
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: usb (show other bugs)
Version: 7.0-CURRENT
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-usb mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-10 03:40 UTC by Ricardo A. Reis
Modified: 2019-01-09 18:47 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ricardo A. Reis 2006-04-10 03:40:17 UTC
In high stress, UMASS device freeze my workstation for 15 seconds before
reboot with crash dump, this system is update every friday night, the last
update is ..

 ls -la /boot/kernel/kernel
-r-xr-xr-x  1 root  wheel  4571843 Apr  7 02:41 /boot/kernel/kernel

DMESG OUT

Copyright (c) 1992-2006 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
        The Regents of the University of California. All rights reserved.
FreeBSD 7.0-CURRENT #8: Fri Apr  7 02:40:45 BRT 2006
    root@myfreebsd.homeunix.org:/usr/obj/usr/src/sys/CURRENT
Using 32 colors for the VM-PQ tuning (0, 0)
Preloaded elf kernel "/boot/kernel/kernel" at 0xc08b9000.
Preloaded elf module "/boot/kernel/vesa.ko" at 0xc08b9160.
Preloaded elf module "/boot/kernel/snd_es137x.ko" at 0xc08b920c.
Preloaded elf module "/boot/kernel/sound.ko" at 0xc08b92bc.
Preloaded elf module "/boot/kernel/kbdmux.ko" at 0xc08b9368.
Calibrating clock(s) ... i8254 clock: 1193281 Hz
CLK_USE_I8254_CALIBRATION not specified - using default frequency
Timecounter "i8254" frequency 1193182 Hz quality 0
Calibrating TSC clock ... TSC clock: 501138748 Hz
CPU: AMD-K6(tm) 3D processor (501.14-MHz 586-class CPU)
  Origin = "AuthenticAMD"  Id = 0x58c  Stepping = 12
  Features=0x8021bf<FPU,VME,DE,PSE,TSC,MSR,MCE,CX8,PGE,MMX>
  AMD Features=0x80000800<SYSCALL,3DNow>
Data TLB: 128 entries, 2-way associative
Instruction TLB: 64 entries, 1-way associative
L1 data cache: 32 kbytes, 32 bytes/line, 2 lines/tag, 2-way associative
L1 instruction cache: 32 kbytes, 32 bytes/line, 2 lines/tag, 2-way associative
Write Allocate Enable Limit: 192M bytes
Write Allocate 15-16M bytes: Enable
real memory  = 201261056 (191 MB)
Physical memory chunk(s):
0x0000000000001000 - 0x000000000009efff, 647168 bytes (158 pages)
0x0000000000100000 - 0x00000000003fffff, 3145728 bytes (768 pages)
0x0000000000c25000 - 0x000000000bc57fff, 184758272 bytes (45107 pages)
avail memory = 187400192 (178 MB)
bios32: Found BIOS32 Service Directory header at 0xc00fadf0
bios32: Entry = 0xfb270 (c00fb270)  Rev = 0  Len = 1
pcibios: PCI BIOS entry at 0xf0000+0xb420
pnpbios: Found PnP BIOS data at 0xc00fc050
pnpbios: Entry = f0000:c078  Rev = 1.0
Other BIOS signatures found:
Security auditing service present
BSM auditing present
wlan: <802.11 Link Layer>
random: <entropy source, Software, Yarrow>
mem: <memory>
K6-family MTRR support enabled (2 registers)
io: <I/O>
VESA: information block
56 45 53 41 00 02 00 0e 00 c0 00 00 00 00 3b 0e 
00 c0 40 00 01 01 18 0e 00 c0 29 0e 00 c0 33 0e 
00 c0 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
VESA: 57 mode(s) found
VESA: v2.0, 4096k memory, flags:0x0, mode table:0xc00c0e3b (c0000e3b)
VESA: S3 Incorporated. 86C357
VESA: S3 Incorporated. Virge GX2 Rev B
null: <null device, zero device>
kbd: new array size 4
kbd1 at kbdmux0
npx0: [FAST]
npx0: <math processor> on motherboard
npx0: INT 16 interface
cpu0 on motherboard
pci_open(1):    mode 1 addr port (0x0cf8) is 0x80003840
pci_open(1a):   mode1res=0x80000000 (0x80000000)
pci_cfgcheck:   device 0 [class=060000] [hdr=00] is there (id=05971106)
pcibios: BIOS version 2.10
Found $PIR table, 8 entries at 0xc00fdf10
PCI-Only Interrupts: 5 9 10 11
Location  Bus Device Pin  Link  IRQs
slot 1      0    8    A   0x01  3 4 5 7 9 10 11 12 14 15
slot 1      0    8    B   0x02  3 4 5 7 9 10 11 12 14 15
slot 1      0    8    C   0x03  3 4 5 7 9 10 11 12 14 15
slot 1      0    8    D   0x05  3 4 5 7 9 10 11 12 14 15
slot 2      0    9    A   0x02  3 4 5 7 9 10 11 12 14 15
slot 2      0    9    B   0x03  3 4 5 7 9 10 11 12 14 15
slot 2      0    9    C   0x05  3 4 5 7 9 10 11 12 14 15
slot 2      0    9    D   0x01  3 4 5 7 9 10 11 12 14 15
slot 3      0   10    A   0x03  3 4 5 7 9 10 11 12 14 15
slot 3      0   10    B   0x05  3 4 5 7 9 10 11 12 14 15
slot 3      0   10    C   0x01  3 4 5 7 9 10 11 12 14 15
slot 3      0   10    D   0x02  3 4 5 7 9 10 11 12 14 15
slot 4      0   11    A   0x05  3 4 5 7 9 10 11 12 14 15
slot 4      0   11    B   0x01  3 4 5 7 9 10 11 12 14 15
slot 4      0   11    C   0x02  3 4 5 7 9 10 11 12 14 15
slot 4      0   11    D   0x03  3 4 5 7 9 10 11 12 14 15
slot 5      0   12    A   0x03  3 4 5 7 9 10 11 12 14 15
slot 5      0   12    B   0x05  3 4 5 7 9 10 11 12 14 15
slot 5      0   12    C   0x01  3 4 5 7 9 10 11 12 14 15
slot 5      0   12    D   0x02  3 4 5 7 9 10 11 12 14 15
embedded    0    7    A   0x01  3 4 5 7 9 10 11 12 14 15
embedded    0    7    B   0x02  3 4 5 7 9 10 11 12 14 15
embedded    0    1    A   0x01  3 4 5 7 9 10 11 12 14 15
embedded    0    1    B   0x02  3 4 5 7 9 10 11 12 14 15
embedded    0    1    C   0x03  3 4 5 7 9 10 11 12 14 15
embedded    0    1    D   0x05  3 4 5 7 9 10 11 12 14 15
embedded    0    7    D   0x05  3 4 5 7 9 10 11 12 14 15
pcib0: <Host to PCI bridge> pcibus 0 on motherboard
pir0: <PCI Interrupt Routing Table: 8 Entries> on motherboard
$PIR: Links after initial probe:
Link  IRQ  Rtd  Ref  IRQs
 0x1  255   N     7  3 4 5 7 9 10 11 12 14 15
 0x2  255   N     7  3 4 5 7 9 10 11 12 14 15
 0x3  255   N     6  3 4 5 7 9 10 11 12 14 15
 0x5  255   N     7  3 4 5 7 9 10 11 12 14 15
$PIR: Found matching pin for 0.9.INTA at func 0: 5
$PIR: Found matching pin for 0.10.INTA at func 0: 9
$PIR: Found matching pin for 0.11.INTA at func 0: 9
$PIR: Found matching pin for 0.7.INTD at func 2: 10
$PIR: BIOS IRQ 10 for 0.7.INTD does not match link 0x5 irq 9
$PIR: Links after initial IRQ discovery:
Link  IRQ  Rtd  Ref  IRQs
 0x1  255   N     7  3 4 5 7 9 10 11 12 14 15
 0x2    5   Y     7  3 4 5 7 9 10 11 12 14 15
 0x3    9   Y     6  3 4 5 7 9 10 11 12 14 15
 0x5    9   Y     7  3 4 5 7 9 10 11 12 14 15
$PIR: IRQs used by BIOS: 5 9
$PIR: Interrupt Weights:
[    0   1   2   3   4   5   6   7   8   9  10  11  12  13  14  15 ]
[    0   0   0   0   0   7   0   0   0  13   0   0   0   0   0   0 ]
pci0: <PCI bus> on pcib0
pci0: physical bus=0
found-> vendor=0x1106, dev=0x0597, revid=0x04
        bus=0, slot=0, func=0
        class=06-00-00, hdrtype=0x00, mfdev=0
        cmdreg=0x0006, statreg=0x8290, cachelnsz=0 (dwords)
        lattimer=0x10 (480 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
        map[10]: type 3, range 32, base f0000000, size 26, enabled
found-> vendor=0x1106, dev=0x8598, revid=0x00
        bus=0, slot=1, func=0
        class=06-04-00, hdrtype=0x01, mfdev=0
        cmdreg=0x0007, statreg=0x2220, cachelnsz=0 (dwords)
        lattimer=0x00 (0 ns), mingnt=0x0c (3000 ns), maxlat=0x00 (0 ns)
found-> vendor=0x1106, dev=0x0596, revid=0x12
        bus=0, slot=7, func=0
        class=06-01-00, hdrtype=0x00, mfdev=1
        cmdreg=0x008f, statreg=0x0200, cachelnsz=0 (dwords)
        lattimer=0x00 (0 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
found-> vendor=0x1106, dev=0x0571, revid=0x06
        bus=0, slot=7, func=1
        class=01-01-8a, hdrtype=0x00, mfdev=0
        cmdreg=0x0007, statreg=0x0280, cachelnsz=0 (dwords)
        lattimer=0x40 (1920 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
        map[20]: type 4, range 32, base r0000d000, size  4, enabled
found-> vendor=0x1106, dev=0x3038, revid=0x08
        bus=0, slot=7, func=2
        class=0c-03-00, hdrtype=0x00, mfdev=0
        cmdreg=0x0007, statreg=0x0200, cachelnsz=8 (dwords)
        lattimer=0x40 (1920 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
        intpin=d, irq=10
        map[20]: type 4, range 32, base r0000d400, size  5, enabled
$PIR: 0:7 INTD routed to irq 9
found-> vendor=0x1106, dev=0x3050, revid=0x20
        bus=0, slot=7, func=3
        class=06-00-00, hdrtype=0x00, mfdev=0
        cmdreg=0x0000, statreg=0x0280, cachelnsz=0 (dwords)
        lattimer=0x00 (0 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
found-> vendor=0x1274, dev=0x5000, revid=0x01
        bus=0, slot=9, func=0
        class=04-01-00, hdrtype=0x00, mfdev=0
        cmdreg=0x0105, statreg=0x0400, cachelnsz=0 (dwords)
        lattimer=0x40 (1920 ns), mingnt=0x0c (3000 ns), maxlat=0x80 (32000 ns)
        intpin=a, irq=5
        map[10]: type 4, range 32, base r0000d800, size  6, enabled
$PIR: 0:9 INTA routed to irq 5
found-> vendor=0x10ec, dev=0x8139, revid=0x10
        bus=0, slot=10, func=0
        class=02-00-00, hdrtype=0x00, mfdev=0
        cmdreg=0x0007, statreg=0x8290, cachelnsz=0 (dwords)
        lattimer=0x40 (1920 ns), mingnt=0x20 (8000 ns), maxlat=0x40 (16000 ns)
        intpin=a, irq=9
        powerspec 2  supports D0 D1 D2 D3  current D0
        map[10]: type 4, range 32, base r0000dc00, size  8, enabled
        map[14]: type 1, range 32, base d8000000, size  8, enabled
$PIR: 0:10 INTA routed to irq 9
found-> vendor=0x1106, dev=0x3106, revid=0x85
        bus=0, slot=11, func=0
        class=02-00-00, hdrtype=0x00, mfdev=0
        cmdreg=0x0007, statreg=0x0210, cachelnsz=8 (dwords)
        lattimer=0x40 (1920 ns), mingnt=0x03 (750 ns), maxlat=0x08 (2000 ns)
        intpin=a, irq=9
        powerspec 2  supports D0 D1 D2 D3  current D0
        map[10]: type 4, range 32, base r0000e000, size  8, enabled
        map[14]: type 1, range 32, base f4001000, size  8, enabled
$PIR: 0:11 INTA routed to irq 9
agp0: <VIA 82C597 (Apollo VP3) host to PCI bridge> on hostb0
hostb0: Reserved 0x4000000 bytes for rid 0x10 type 3 at 0xf0000000
agp0: allocating GATT for aperture of size 256M
pcib1: <PCI-PCI bridge> at device 1.0 on pci0
pcib1:   secondary bus     1
pcib1:   subordinate bus   1
pcib1:   I/O decode        0xc000-0xcfff
pcib1:   memory decode     0xe8000000-0xf00fffff
pcib1:   prefetched decode 0xfff00000-0xfffff
pci1: <PCI bus> on pcib1
pci1: physical bus=1
found-> vendor=0x5333, dev=0x8a10, revid=0x04
        bus=1, slot=0, func=0
        class=03-00-00, hdrtype=0x00, mfdev=0
        cmdreg=0x0007, statreg=0x0200, cachelnsz=0 (dwords)
        lattimer=0x40 (1920 ns), mingnt=0x04 (1000 ns), maxlat=0xff (63750 ns)
        intpin=a, irq=11
        map[10]: type 1, range 32, base e8000000, size 26, enabled
pcib1: (null) requested memory range 0xe8000000-0xebffffff: good
$PIR: Found IRQ 10 for link 0x1 from 5 9 10 11
$PIR: ROUTE_INTERRUPT failed.
vgapci0: <VGA-compatible display> mem 0xe8000000-0xebffffff irq 11 at device 0.0 on pci1
isab0: <PCI-ISA bridge> at device 7.0 on pci0
isa0: <ISA bus> on isab0
atapci0: <VIA 82C596B UDMA66 controller> port 0x1f0-0x1f7,0x3f6,0x170-0x177,0x376,0xd000-0xd00f at device 7.1 on pci0
atapci0: Reserved 0x10 bytes for rid 0x20 type 4 at 0xd000
ata0: <ATA channel 0> on atapci0
atapci0: Reserved 0x8 bytes for rid 0x10 type 4 at 0x1f0
atapci0: Reserved 0x1 bytes for rid 0x14 type 4 at 0x3f6
ata0: reset tp1 mask=03 ostat0=50 ostat1=50
ata0: stat0=0x10 err=0x01 lsb=0x14 msb=0xeb
ata0: stat1=0x50 err=0x01 lsb=0x00 msb=0x00
ata0: reset tp2 stat0=10 stat1=50 devices=0x6<ATAPI_MASTER,ATA_SLAVE>
ata0: [MPSAFE]
ata1: <ATA channel 1> on atapci0
atapci0: Reserved 0x8 bytes for rid 0x18 type 4 at 0x170
atapci0: Reserved 0x1 bytes for rid 0x1c type 4 at 0x376
ata1: reset tp1 mask=03 ostat0=50 ostat1=00
ata1: stat0=0x50 err=0x01 lsb=0x00 msb=0x00
ata1: stat1=0x00 err=0x01 lsb=0x00 msb=0x00
ata1: reset tp2 stat0=50 stat1=00 devices=0x1<ATA_MASTER>
ata1: [MPSAFE]
uhci0: <VIA 83C572 USB controller> port 0xd400-0xd41f irq 9 at device 7.2 on pci0
uhci0: Reserved 0x20 bytes for rid 0x20 type 4 at 0xd400
uhci0: [GIANT-LOCKED]
usb0: <VIA 83C572 USB controller> on uhci0
usb0: USB revision 1.0
uhub0: <VIA UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb0
uhub0: 2 ports with 2 removable, self powered
pci0: <bridge, HOST-PCI> at device 7.3 (no driver attached)
pcm0: <AudioPCI ES1370> port 0xd800-0xd83f irq 5 at device 9.0 on pci0
pcm0: Reserved 0x40 bytes for rid 0x10 type 4 at 0xd800
pcm0: es1370_wrcodec: timed out
pcm0: es1370_wrcodec: timed out
pcm0: es1370_wrcodec: timed out
pcm0: es1370_wrcodec: timed out
pcm0: [MPSAFE]
pcm0: sndbuf_setmap baa4000, 1000; 0xc1dd0000 -> baa4000
pcm0: sndbuf_setmap bac6000, 1000; 0xc1dd2000 -> bac6000
pcm0: sndbuf_setmap bad6000, 1000; 0xc1de2000 -> bad6000
pcm0: <Playback: DAC1,DAC2 / Record: ADC>
re0: Reserved 0x100 bytes for rid 0x10 type 4 at 0xdc00
rl0: <RealTek 8139 10/100BaseTX> port 0xdc00-0xdcff mem 0xd8000000-0xd80000ff irq 9 at device 10.0 on pci0
miibus0: <MII bus> on rl0
rlphy0: <RealTek internal media interface> on miibus0
rlphy0:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, auto
rl0: bpf attached
rl0: Ethernet address: 00:08:54:2f:f1:a3
rl0: [MPSAFE]
vr0: <VIA VT6105 Rhine III 10/100BaseTX> port 0xe000-0xe0ff mem 0xf4001000-0xf40010ff irq 9 at device 11.0 on pci0
vr0: Reserved 0x100 bytes for rid 0x10 type 4 at 0xe000
miibus1: <MII bus> on vr0
ukphy0: <Generic IEEE 802.3u media interface> on miibus1
ukphy0: OUI 0x004063, model 0x0034, rev. 3
ukphy0:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, auto
vr0: bpf attached
vr0: Ethernet address: 00:40:f4:5f:1c:1b
vr0: [MPSAFE]
ata: ata0 already exists; skipping it
ata: ata1 already exists; skipping it
pnp_identify: Trying Read_Port at 203
pnp_identify: Trying Read_Port at 243
pnp_identify: Trying Read_Port at 283
pnp_identify: Trying Read_Port at 2c3
pnp_identify: Trying Read_Port at 303
pnp_identify: Trying Read_Port at 343
pnp_identify: Trying Read_Port at 383
pnp_identify: Trying Read_Port at 3c3
PNP Identify complete
pnpbios: 15 devices, largest 98 bytes
PNP0200: adding dma mask 0x10
PNP0200: adding io range 0-0xf, size=0x10, align=0
PNP0200: adding io range 0x81-0x83, size=0x3, align=0
PNP0200: adding io range 0x87-0x87, size=0x1, align=0
PNP0200: adding io range 0x89-0x8b, size=0x3, align=0
PNP0200: adding io range 0x8f-0x91, size=0x3, align=0
PNP0200: adding io range 0xc0-0xdf, size=0x20, align=0
pnpbios: handle 1 device ID PNP0200 (0002d041)
PNP0100: adding irq mask 0x1
PNP0100: adding io range 0x40-0x43, size=0x4, align=0
pnpbios: handle 2 device ID PNP0100 (0001d041)
PNP0b00: adding irq mask 0x100
PNP0b00: adding io range 0x70-0x71, size=0x2, align=0
pnpbios: handle 3 device ID PNP0b00 (000bd041)
PNP0303: adding irq mask 0x2
PNP0303: adding io range 0x60-0x60, size=0x1, align=0
PNP0303: adding io range 0x64-0x64, size=0x1, align=0
pnpbios: handle 4 device ID PNP0303 (0303d041)
PNP0800: adding io range 0x61-0x61, size=0x1, align=0
pnpbios: handle 5 device ID PNP0800 (0008d041)
PNP0c04: adding irq mask 0x2000
PNP0c04: adding io range 0xf0-0xff, size=0x10, align=0
pnpbios: handle 6 device ID PNP0c04 (040cd041)
PNP0c01: adding fixed memory32 range 0-0x9ffff, size=0xa0000
PNP0c01: adding fixed memory32 range 0xfffe0000-0xffffffff, size=0x20000
PNP0c01: adding fixed memory32 range 0x100000-0xbffffff, size=0xbf00000
pnpbios: handle 7 device ID PNP0c01 (010cd041)
PNP0c02: adding fixed memory32 range 0xf0000-0xf3fff, size=0x4000
PNP0c02: adding fixed memory32 range 0xf4000-0xf7fff, size=0x4000
PNP0c02: adding fixed memory32 range 0xf8000-0xfffff, size=0x8000
PNP0c02: adding fixed memory32 range 0xca000-0xcbfff, size=0x2000
pnpbios: handle 8 device ID PNP0c02 (020cd041)
PNP0a03: adding io range 0x294-0x297, size=0x4, align=0
PNP0a03: adding io range 0x4d0-0x4d1, size=0x2, align=0
PNP0a03: adding io range 0xcf8-0xcff, size=0x8, align=0
PNP0a03: adding io range 0x480-0x48f, size=0x10, align=0
PNP0a03: adding io range 0x4000-0x407f, size=0x80, align=0
PNP0a03: adding io range 0x4080-0x40ff, size=0x80, align=0
PNP0a03: adding io range 0x5000-0x501f, size=0x20, align=0
pnpbios: handle 9 device ID PNP0a03 (030ad041)
PNP0f13: adding irq mask 0x1000
pnpbios: handle 10 device ID PNP0f13 (130fd041)
PNP0501: adding irq mask 0x10
PNP0501: adding io range 0x3f8-0x3ff, size=0x8, align=0
pnpbios: handle 12 device ID PNP0501 (0105d041)
PNP0700: adding dma mask 0x4
PNP0700: adding io range 0x3f2-0x3f5, size=0x4, align=0
PNP0700: adding irq mask 0x40
pnpbios: handle 13 device ID PNP0700 (0007d041)
PNP0401: adding dma mask 0x8
PNP0401: adding irq mask 0x80
PNP0401: adding io range 0x378-0x37f, size=0x8, align=0
PNP0401: adding io range 0x778-0x77a, size=0x3, align=0
pnpbios: handle 15 device ID PNP0401 (0104d041)
PNP0501: adding irq mask 0x8
PNP0501: adding io range 0x2f8-0x2ff, size=0x8, align=0
pnpbios: handle 16 device ID PNP0501 (0105d041)
sc: sc0 already exists; skipping it
vga: vga0 already exists; skipping it
isa_probe_children: disabling PnP devices
isa_probe_children: probing non-PnP devices
pmtimer0 on isa0
orm0: <ISA Option ROM> at iomem 0xc0000-0xc9fff pnpid ORM0000 on isa0
adv0: not probed (disabled)
aha0: not probed (disabled)
aic0: not probed (disabled)
atkbdc0: <Keyboard controller (i8042)> at port 0x60,0x64 on isa0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
atkbd: the current kbd controller command byte 0047
atkbd: keyboard ID 0x41ab (2)
kbd0 at atkbd0
kbd0: atkbd0, AT 101/102 (2), config:0x0, flags:0x3d0000
atkbd0: [GIANT-LOCKED]
psm0: current command byte:0047
psm0: <PS/2 Mouse> irq 12 on atkbdc0
psm0: [GIANT-LOCKED]
psm0: model MouseMan+, device ID 0-6d, 3 buttons
psm0: config:00000000, flags:00000008, packet size:3
psm0: syncmask:08, syncbits:00
bt0: not probed (disabled)
cs0: not probed (disabled)
ed0: not probed (disabled)
fdc0 failed to probe at port 0x3f0 irq 6 drq 2 on isa0
fe0: not probed (disabled)
ie0: not probed (disabled)
lnc0: not probed (disabled)
ppc0: parallel port found at 0x378
ppc0: using extended I/O port range
ppc0: ECP SPP ECP+EPP SPP
ppc0: <Parallel port> at port 0x378-0x37f irq 7 on isa0
ppc0: SMC-like chipset (ECP/EPP/PS2/NIBBLE) in COMPATIBLE mode
ppc0: FIFO with 16/16/16 bytes threshold
ppbus0: <Parallel port bus> on ppc0
plip0: <PLIP network interface> on ppbus0
plip0: bpf attached
lpt0: <Printer> on ppbus0
lpt0: Interrupt-driven port
ppi0: <Parallel I/O> on ppbus0
ppc0: [GIANT-LOCKED]
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
sc0: fb0, kbd1, terminal emulator: sc (syscons terminal)
sio0: irq maps: 0x1 0x11 0x1 0x1
sio0 at port 0x3f8-0x3ff irq 4 flags 0x10 on isa0
sio0: type 16550A
sio0: [FAST]
sio1: irq maps: 0x1 0x9 0x1 0x1
sio1 at port 0x2f8-0x2ff irq 3 on isa0
sio1: type 16550A
sio1: [FAST]
sio2: not probed (disabled)
sio3: not probed (disabled)
sn0: not probed (disabled)
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
vt0: not probed (disabled)
isa_probe_children: probing PnP devices
unknown: <PNP0303> can't assign resources (port)
unknown: <PNP0303> at port 0x60 pnpid PNP0303 on isa0
unknown: <PNP0800> failed to probe at port 0x61 pnpid PNP0800 on isa0
unknown: <PNP0c01> can't assign resources (memory)
unknown: <PNP0c01> at iomem 0-0x9ffff pnpid PNP0c01 on isa0
unknown: <PNP0f13> can't assign resources (irq)
unknown: <PNP0f13> at irq 12 pnpid PNP0f13 on isa0
unknown: <PNP0501> can't assign resources (port)
unknown: <PNP0501> at port 0x3f8-0x3ff pnpid PNP0501 on isa0
unknown: <PNP0700> failed to probe at port 0x3f2-0x3f5 irq 6 drq 2 pnpid PNP0700 on isa0
unknown: <PNP0401> can't assign resources (port)
unknown: <PNP0401> at port 0x378-0x37f pnpid PNP0401 on isa0
unknown: <PNP0501> can't assign resources (port)
unknown: <PNP0501> at port 0x2f8-0x2ff pnpid PNP0501 on isa0
Device configuration finished.
Timecounter "TSC" frequency 501138748 Hz quality 800
Timecounters tick every 1.000 msec
lo0: bpf attached
ata0-slave: pio=PIO4 wdma=WDMA2 udma=UDMA133 cable=80 wire
ata0-master: pio=PIO4 wdma=WDMA2 udma=UDMA33 cable=40 wire
acd0: setting PIO4 on 82C596B chip
acd0: setting UDMA33 on 82C596B chip
acd0: <SAMSUNG DVD-ROM SD-616T/F301> DVDROM drive at ata0 as master
acd0: read 2750KB/s (8250KB/s), 512KB buffer, UDMA33
acd0: Reads: CDR, CDRW, CDDA stream, DVDROM, packet
acd0: Writes:
acd0: Audio: play, 255 volume levels
acd0: Mechanism: ejectable tray, unlocked
acd0: Medium: CD-ROM 120mm data disc
ad1: setting PIO4 on 82C596B chip
ad1: setting UDMA66 on 82C596B chip
ad1: 39205MB <Maxtor 2F040J0 VAM51JJ0> at ata0-slave UDMA66
sio1 at port 0x2f8-0x2ff irq 3 on isa0
sio1: type 16550A
sio1: [FAST]
sio2: not probed (disabled)
sio3: not probed (disabled)
sn0: not probed (disabled)
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
vt0: not probed (disabled)
isa_probe_children: probing PnP devices
unknown: <PNP0303> can't assign resources (port)
unknown: <PNP0303> at port 0x60 pnpid PNP0303 on isa0
unknown: <PNP0800> failed to probe at port 0x61 pnpid PNP0800 on isa0
unknown: <PNP0c01> can't assign resources (memory)
unknown: <PNP0c01> at iomem 0-0x9ffff pnpid PNP0c01 on isa0
unknown: <PNP0f13> can't assign resources (irq)
unknown: <PNP0f13> at irq 12 pnpid PNP0f13 on isa0
unknown: <PNP0501> can't assign resources (port)
unknown: <PNP0501> at port 0x3f8-0x3ff pnpid PNP0501 on isa0
unknown: <PNP0700> failed to probe at port 0x3f2-0x3f5 irq 6 drq 2 pnpid PNP0700 on isa0
unknown: <PNP0401> can't assign resources (port)
unknown: <PNP0401> at port 0x378-0x37f pnpid PNP0401 on isa0
unknown: <PNP0501> can't assign resources (port)
unknown: <PNP0501> at port 0x2f8-0x2ff pnpid PNP0501 on isa0
Device configuration finished.
Timecounter "TSC" frequency 501138748 Hz quality 800
Timecounters tick every 1.000 msec
lo0: bpf attached
ata0-slave: pio=PIO4 wdma=WDMA2 udma=UDMA133 cable=80 wire
ata0-master: pio=PIO4 wdma=WDMA2 udma=UDMA33 cable=40 wire
acd0: setting PIO4 on 82C596B chip
acd0: setting UDMA33 on 82C596B chip
acd0: <SAMSUNG DVD-ROM SD-616T/F301> DVDROM drive at ata0 as master
acd0: read 2750KB/s (8250KB/s), 512KB buffer, UDMA33
acd0: Reads: CDR, CDRW, CDDA stream, DVDROM, packet
acd0: Writes:
acd0: Audio: play, 255 volume levels
acd0: Mechanism: ejectable tray, unlocked
acd0: Medium: CD-ROM 120mm data disc
ad1: setting PIO4 on 82C596B chip
ad1: setting UDMA66 on 82C596B chip
ad1: 39205MB <Maxtor 2F040J0 VAM51JJ0> at ata0-slave UDMA66
ad1: 80293248 sectors [19679C/16H/255S] 16 sectors/interrupt 1 depth queue
ata1-master: pio=PIO4 wdma=WDMA2 udma=UDMA66 cable=80 wire
ad2: setting PIO4 on 82C596B chip
ad2: setting UDMA66 on 82C596B chip
ad2: 14324MB <QUANTUM FIREBALLlct10 15 A03.0900> at ata1-master UDMA66
ad2: 29336832 sectors [31044C/15H/63S] 16 sectors/interrupt 1 depth queue
acd0: FAILURE - READ_BIG MEDIUM ERROR asc=0x11 ascq=0x00 GEOM: new disk ad1
acd0: FAILURE - READ_BIG MEDIUM ERROR asc=0x11 ascq=0x00 GEOM: new disk ad2
Trying to mount root from ufs:/dev/ad2s1a
WARNING: / was not properly dismounted
start_init: trying /sbin/init
WARNING: /mnt/backup was not properly dismounted
WARNING: /usr was not properly dismounted
pflog0: bpf attached
vr0: link state changed to UP
Linux ELF exec handler installed

 cat info.14

Dump header from device /dev/ad2s1b
  Architecture: i386
  Architecture Version: 2
  Dump Length: 200867840B (191 MB)
  Blocksize: 512
  Dumptime: Sun Apr  9 20:00:50 2006
  Hostname: myfreebsd.homeunix.org
  Magic: FreeBSD Kernel Dump
  Version String: FreeBSD 7.0-CURRENT #8: Fri Apr  7 02:40:45 BRT 2006
    root@myfreebsd.homeunix.org:/usr/obj/usr/src/sys/CURRENT
  Panic String: vinvalbuf: dirty bufs
  Dump Parity: 385777998
  Bounds: 14
  Dump Status: good


KGDB

 kgdb /boot/kernel/kernel.symbols vmcore.14 
[GDB will not be able to debug user-mode threads: /usr/lib/libthread_db.so: Undefined symbol "ps_pglobal_lookup"]
GNU gdb 6.1.1 [FreeBSD]
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-marcel-freebsd".

Unread portion of the kernel message buffer:
384)]error = 6
g_vfs_done():da0[WRITE(offset=312061440, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312077824, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312094208, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312110592, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312126976, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312143360, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312159744, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312176128, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312192512, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312208896, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312225280, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312241664, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312258048, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312274432, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312290816, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312307200, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=14200320, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312323584, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312339968, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312356352, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312372736, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312389120, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312405504, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312421888, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312438272, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312454656, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312471040, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312487424, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312503808, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=102912, length=4096)]error = 6
g_vfs_done():da0[WRITE(offset=853110272, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=853126656, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=853143040, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=852520448, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=852536832, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=852553216, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=853159424, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=853175808, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=853192192, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=853208576, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312520192, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312536576, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312552960, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312569344, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312585728, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312602112, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312618496, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312634880, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312651264, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312667648, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=312684032, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=944057856, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=944074240, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=944090624, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=521235968, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=521252352, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=521268736, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=853569024, length=16384)]error = 6
g_vfs_done():da0[WRITE(offset=943451648, length=panic: vinvalbuf: dirty bufs
Uptime: 1d6h1m9s
Dumping 191 MB (2 chunks)
  chunk 0: 1MB (159 pages) ... ok
  chunk 1: 191MB (48880 pages) 175 159 143 127 111 95 79 63 47 31 15

#0  doadump () at pcpu.h:166
166     pcpu.h: No such file or directory.
        in pcpu.h
(kgdb) where
#0  doadump () at pcpu.h:166
#1  0xc054d1d7 in boot (howto=260) at /usr/src/sys/kern/kern_shutdown.c:402
#2  0xc054d4b6 in panic (fmt=0xc07241c4 "vinvalbuf: dirty bufs") at /usr/src/sys/kern/kern_shutdown.c:558
#3  0xc05a7dec in bufobj_invalbuf (bo=0xc2c7f8d4, flags=1, td=0xc2808ae0, slpflag=0, slptimeo=0) at /usr/src/sys/kern/vfs_subr.c:1007
#4  0xc05a803d in vinvalbuf (vp=0xc2c7f820, flags=1, td=0xc2808ae0, slpflag=0, slptimeo=0) at /usr/src/sys/kern/vfs_subr.c:1075
#5  0xc05aa914 in vgonel (vp=0xc2c7f820) at /usr/src/sys/kern/vfs_subr.c:2421
#6  0xc05aa83d in vgone (vp=0xc2c7f820) at /usr/src/sys/kern/vfs_subr.c:2379
#7  0xc050ad24 in devfs_delete (dm=0xc1e98900, de=0xc2b37c80) at /usr/src/sys/fs/devfs/devfs_devs.c:244
#8  0xc050af40 in devfs_populate_loop (dm=0xc1e98900, cleanup=0) at /usr/src/sys/fs/devfs/devfs_devs.c:352
#9  0xc050b19a in devfs_populate (dm=0xc1e98900) at /usr/src/sys/fs/devfs/devfs_devs.c:448
#10 0xc050cfeb in devfs_lookupx (ap=0x0) at /usr/src/sys/fs/devfs/devfs_vnops.c:506
#11 0xc050d127 in devfs_lookup (ap=0xcb319990) at /usr/src/sys/fs/devfs/devfs_vnops.c:570
#12 0xc06f8785 in VOP_LOOKUP_APV (vop=0xc0785400, a=0xcb319990) at vnode_if.c:97
#13 0xc05a2278 in lookup (ndp=0xcb319b88) at vnode_if.h:56
#14 0xc05a1b3c in namei (ndp=0xcb319b88) at /usr/src/sys/kern/vfs_lookup.c:211
#15 0xc05b6b6a in vn_open_cred (ndp=0xcb319b88, flagp=0xcb319c88, cmode=1480, cred=0xc23ff780, fdidx=0) at /usr/src/sys/kern/vfs_vnops.c:185
#16 0xc05b687e in vn_open (ndp=0x0, flagp=0xcb319c88, cmode=1480, fdidx=9) at /usr/src/sys/kern/vfs_vnops.c:91
#17 0xc05ae5e4 in kern_open (td=0xc2808ae0, path=0x0, pathseg=UIO_USERSPACE, flags=1, mode=-1077942840) at /usr/src/sys/kern/vfs_syscalls.c:997
#18 0xc05ae4f8 in open (td=0xc2808ae0, uap=0x0) at /usr/src/sys/kern/vfs_syscalls.c:964
#19 0xc06e71ae in syscall (frame=
      {tf_fs = 59, tf_es = 59, tf_ds = 59, tf_edi = 2656, tf_esi = 2656, tf_ebp = -1077942840, tf_isp = -885940892, tf_ebx = 678814560, tf_edx = -1, tf_ecx = 9, tf_eax = 5, tf_trapno = 0, tf_err = 2, tf_eip = 681764079, tf_cs = 51, tf_eflags = 2097814, tf_esp = -1077942932, tf_ss = 59}) at /usr/src/sys/i386/i386/trap.c:1016
#20 0xc06d7c2f in Xint0x80_syscall () at /usr/src/sys/i386/i386/exception.s:191
#21 0x00000033 in ?? ()
Previous frame inner to this frame (corrupt stack?)
(kgdb) bt full
#0  doadump () at pcpu.h:166
No locals.
#1  0xc054d1d7 in boot (howto=260) at /usr/src/sys/kern/kern_shutdown.c:402
        first_buf_printf = 1
#2  0xc054d4b6 in panic (fmt=0xc07241c4 "vinvalbuf: dirty bufs") at /usr/src/sys/kern/kern_shutdown.c:558
        td = (struct thread *) 0xc2808ae0
        bootopt = 260
        newpanic = 0
        ap = 0xc2808ae0 "\234V5Â"
        buf = "vinvalbuf: dirty bufs", '\0' <repeats 234 times>
#3  0xc05a7dec in bufobj_invalbuf (bo=0xc2c7f8d4, flags=1, td=0xc2808ae0, slpflag=0, slptimeo=0) at /usr/src/sys/kern/vfs_subr.c:1007
        error = 0
#4  0xc05a803d in vinvalbuf (vp=0xc2c7f820, flags=1, td=0xc2808ae0, slpflag=0, slptimeo=0) at /usr/src/sys/kern/vfs_subr.c:1075
No locals.
#5  0xc05aa914 in vgonel (vp=0xc2c7f820) at /usr/src/sys/kern/vfs_subr.c:2421
        td = (struct thread *) 0xc2808ae0
        oweinact = 0
        active = 1
        mp = (struct mount *) 0xc1e9d000
#6  0xc05aa83d in vgone (vp=0xc2c7f820) at /usr/src/sys/kern/vfs_subr.c:2379
No locals.
#7  0xc050ad24 in devfs_delete (dm=0xc1e98900, de=0xc2b37c80) at /usr/src/sys/fs/devfs/devfs_devs.c:244
No locals.
#8  0xc050af40 in devfs_populate_loop (dm=0xc1e98900, cleanup=0) at /usr/src/sys/fs/devfs/devfs_devs.c:352
        cdp = (struct cdev_priv *) 0xc1febc00
        de = (struct devfs_dirent *) 0xc2b37c80
        dd = (struct devfs_dirent *) 0x0
        pdev = (struct cdev *) 0xc1e9f000
        j = 0
        q = 0x0
        s = 0xc1e9f000 "\002"
#9  0xc050b19a in devfs_populate (dm=0xc1e98900) at /usr/src/sys/fs/devfs/devfs_devs.c:448
No locals.
#10 0xc050cfeb in devfs_lookupx (ap=0x0) at /usr/src/sys/fs/devfs/devfs_vnops.c:506
        cnp = (struct componentname *) 0xcb319bb0
        dvp = (struct vnode *) 0xc1e9f000
        vpp = (struct vnode **) 0xcb319b9c
        td = (struct thread *) 0xc2808ae0
        de = (struct devfs_dirent *) 0x3002
        dd = (struct devfs_dirent *) 0xc1e9a400
        dde = (struct devfs_dirent **) 0x0
        dmp = (struct devfs_mount *) 0xc1e98900
        cdev = (struct cdev *) 0xcb319898
        error = 0
        flags = 86032452
        nameiop = 0
        specname = "Ô\2301ËðÜgÀà\212\200Â\000\000\000\000@\036yÀ,\2311Ë°\2331Ëø\2301Ë\002þYÀ\210ìéÁ\006\000\000\000¬ìéÁ\f\2311Ë\205\227oÀ0ìéÁ\020\2311Ë"
        pname = 0xc2978805 "null"
#11 0xc050d127 in devfs_lookup (ap=0xcb319990) at /usr/src/sys/fs/devfs/devfs_vnops.c:570
        j = -885941872
#12 0xc06f8785 in VOP_LOOKUP_APV (vop=0xc0785400, a=0xcb319990) at vnode_if.c:97
        rc = -1065856000
#13 0xc05a2278 in lookup (ndp=0xcb319b88) at vnode_if.h:56
        cp = 0xc2978809 ""
        dp = (struct vnode *) 0xc1e9f000
        tdp = (struct vnode *) 0xc1e9f000
        mp = (struct mount *) 0x0
        docache = 32
        wantparent = 0
        rdonly = 0
        trailing_slash = 0
        error = 0
        dpunlocked = 0
        cnp = (struct componentname *) 0xcb319bb0
        td = (struct thread *) 0xc2808ae0
        vfslocked = 0
        tvfslocked = 0
        dvfslocked = 0
#14 0xc05a1b3c in namei (ndp=0xcb319b88) at /usr/src/sys/kern/vfs_lookup.c:211
        fdp = (struct filedesc *) 0xc290f700
        cp = 0xc290f700 "X÷\220¨÷\220Â8î2Â0ìéÁ"
        dp = (struct vnode *) 0xc1e9ec30
        aiov = {iov_base = 0x1, iov_len = 4294967295}
        auio = {uio_iov = 0xeef0, uio_iovcnt = 4012456, uio_offset = -4580443984820594036, uio_resid = -885941658, uio_segflg = UIO_SYSSPACE, uio_rw = 3, uio_td = 0xcb319a70}
        error = -1041634256
        linklen = -1041634256
        cnp = (struct componentname *) 0xcb319bb0
        td = (struct thread *) 0xc2808ae0
        p = (struct proc *) 0x0
        vfslocked = 0
#15 0xc05b6b6a in vn_open_cred (ndp=0xcb319b88, flagp=0xcb319c88, cmode=1480, cred=0xc23ff780, fdidx=0) at /usr/src/sys/kern/vfs_vnops.c:185
        vp = (struct vnode *) 0x3
        mp = (struct mount *) 0x3
        td = (struct thread *) 0xc2808ae0
        vat = {va_type = VNON, va_mode = 0, va_nlink = 20200, va_uid = 2954, va_gid = 3409025676, va_fsid = 3409025684, va_fileid = -1068353404, va_size = 4294952960, va_blocksize = 9, va_atime = {
    tv_sec = -885941580, tv_nsec = -1068353126}, va_mtime = {tv_sec = -1030686976, tv_nsec = 9}, va_ctime = {tv_sec = 20, tv_nsec = 9}, va_birthtime = {tv_sec = -1030686976, tv_nsec = 2656}, 
  va_gen = 3409025752, va_flags = 3226626156, va_rdev = 3264280320, va_bytes = 11407433138185, va_filerev = 17179869184, va_vaflags = 3258275484, va_spare = -1036086144}
        mode = 2
        fmode = 1
        error = 0
        vfslocked = 3
        mpsafe = 16777216
#16 0xc05b687e in vn_open (ndp=0x0, flagp=0xcb319c88, cmode=1480, fdidx=9) at /usr/src/sys/kern/vfs_vnops.c:91
        td = (struct thread *) 0x0
#17 0xc05ae5e4 in kern_open (td=0xc2808ae0, path=0x0, pathseg=UIO_USERSPACE, flags=1, mode=-1077942840) at /usr/src/sys/kern/vfs_syscalls.c:997
        p = (struct proc *) 0x0
        fdp = (struct filedesc *) 0xc290f700
        fp = (struct file *) 0xc23e9480
        vp = (struct vnode *) 0xcb319b40
        vat = {va_type = 3409026084, va_mode = 16036, va_nlink = 18691, va_uid = 4, va_gid = 0, va_fsid = 1224933380, va_fileid = -1066582364, va_size = 152694677307392, va_blocksize = -285868032, va_atime = {
    tv_sec = -1077989080, tv_nsec = -1031763232}, va_mtime = {tv_sec = 0, tv_nsec = 1323827200}, va_ctime = {tv_sec = 10954, tv_nsec = -885941172}, va_birthtime = {tv_sec = 0, tv_nsec = 278380}, 
  va_gen = 4014672, va_flags = 3409026128, va_rdev = 0, va_bytes = 14015354738463317252, va_filerev = 3409026192, va_vaflags = 3263372708, va_spare = -885941132}
        mp = (struct mount *) 0xeef60000
        cmode = 0
        nfp = (struct file *) 0xc23e9480
        type = 0
        indx = 9
        error = 0
        lf = {l_start = 16143177372, l_len = 8589934595, l_pid = 2, l_type = -25608, l_whence = -4362}
        nd = {ni_dirp = 0x2875d667 <Address 0x2875d667 out of bounds>, ni_segflg = UIO_USERSPACE, ni_startdir = 0x0, ni_rootdir = 0xc1e9ec30, ni_topdir = 0x0, ni_vp = 0x0, ni_dvp = 0xc1e9f000, ni_pathlen = 1, 
  ni_next = 0xc2978809 "", ni_loopcnt = 0, ni_cnd = {cn_nameiop = 0, cn_flags = 86032452, cn_thread = 0xc2808ae0, cn_cred = 0xc23ff780, cn_lkflags = 2, cn_pnbuf = 0xc2978800 "/dev/null", 
    cn_nameptr = 0xc2978805 "null", cn_namelen = 4, cn_consume = 0}}
        vfslocked = -1031782748
#18 0xc05ae4f8 in open (td=0xc2808ae0, uap=0x0) at /usr/src/sys/kern/vfs_syscalls.c:964
No locals.
#19 0xc06e71ae in syscall (frame=
      {tf_fs = 59, tf_es = 59, tf_ds = 59, tf_edi = 2656, tf_esi = 2656, tf_ebp = -1077942840, tf_isp = -885940892, tf_ebx = 678814560, tf_edx = -1, tf_ecx = 9, tf_eax = 5, tf_trapno = 0, tf_err = 2, tf_eip = 681764079, tf_cs = 51, tf_eflags = 2097814, tf_esp = -1077942932, tf_ss = 59}) at /usr/src/sys/i386/i386/trap.c:1016
        params = 0xbfbfe570 <Address 0xbfbfe570 out of bounds>
        callp = (struct sysent *) 0xc0786d9c
        td = (struct thread *) 0xc2808ae0
        p = (struct proc *) 0xc235569c
        orig_tf_eflags = 2097814
        error = 0
        narg = 3
        args = {678811239, 0, -1077942840, -885940948, -1066493648, -1065709856, -885940936, 678814560}
        code = 5
        ksi = {ksi_link = {tqe_next = 0x2, tqe_prev = 0xc05359c9}, ksi_info = {si_signo = -1043241472, si_errno = -885941032, si_code = -1068370229, si_pid = 1461913828, si_uid = 12616, 
    si_status = -1031763232, si_addr = 0xc2808ae0, si_value = {sival_int = -885941020, sival_ptr = 0xcb319ce4}, _reason = {_fault = {_trapno = 2097222}, _timer = {_timerid = 2097222, _overrun = -1031763232}, 
      _mesgq = {_mqd = 2097222}, _poll = {_band = 2097222}, __spare__ = {__spare1__ = 2097222, __spare2__ = {-1031763232, -885941004, -1068095261, 0, -1065709856, -885940976, -1066550414}}}}, ksi_flags = 0, 
  ksi_sigq = 0xc2808ae0}
#20 0xc06d7c2f in Xint0x80_syscall () at /usr/src/sys/i386/i386/exception.s:191
No locals.
#21 0x00000033 in ?? ()
No symbol table info available.
(kgdb) list *0xc06d7c2f
0xc06d7c2f is at /usr/src/sys/i386/i386/exception.s:193.
188             pushl   %fs
189             SET_KERNEL_SREGS
190             FAKE_MCOUNT(TF_EIP(%esp))
191             call    syscall
192             MEXITCOUNT
193             jmp     doreti
194
195     ENTRY(fork_trampoline)
196             pushl   %esp                    /* trapframe pointer */
197             pushl   %ebx                    /* arg1 */

How-To-Repeat: Mount generic umass pendrive 1G + USB 1 interface and Epox Motherboard
and stress da0.
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:58:36 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 2 Warner Losh freebsd_committer 2019-01-09 18:47:06 UTC
There's two bugs here.
First bug is that USB drive goes away.
Second bug is the well know crash after a drive goes away if there's dirty buffers associated with it, which is independent of USB. We see *THAT* bug today with the latest FreeBSD with SATA, SAS and NVMe drives.